%define	module	Config-General
%define	name	perl-%{module}
%define	version	2.27
%define	release	1mdk

Summary:	Config::General - Generic Config perl module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
URL:		http://www.cpan.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	perl >= 5.6.1
BuildRequires:	perl-devel >= 5.6.1
BuildArch:	noarch

%description
This module opens a config file and parses it's contents for you. The
method new requires one parameter which needs to be a filename. The
method getall returns a hash which contains all options and it's
associated values of your config file.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
# make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc Changelog README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jun 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.27-1mdk
- 2.27

* Mon Mar 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.26-1mdk
- 2.26

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.24-1mdk
- 2.24

* Fri Jun 06 2003 Maxim Heijndijk <cchq@wanadoo.nl> 2.18-1mdk
- Initial wrap.
